<?php
 
session_start();
include("DMMYSQLG.php");
include ("varfun.php");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
	///////FECHA DEL SISTEMA
	$fecha = $dt_empres['fec_alta'];
	$fechita = chfecha($fecha,'Y-m-d','d/m/Y');
	$fechall= chfecha($_POST['ffecllegada'],'d/m/Y','Y-m-d');
	////////////////////////////////////////////////////////////////////SENTENCIA DE REGISTRO/////////////////////////////////
	if($fechall < $dt_empres['fec_alta']){
		echo alert_JS ("¡¡¡FECHA DE ENTRADA INVALIDA1!!!");
		return false;
	
	}if($_POST['fnumctos'] <= 0){
		echo alert_JS ("¡¡¡FECHA DE SALIDA INVALIDA!!!");
		return false;
	
	}if($_POST['fnumadu'] == ""){
		echo alert_JS ("¡¡¡COMPLETE EL NUMERO DE ADULTOS!!!");
		return false;
	}
	///////////////////////////////////////////SENTENCIA DE FORMA DE PAGO//////////////////////////////////////////////////////
	if(empty($_POST['fformpago'])){ // 12
     echo alert_JS("¡¡¡SELECCIONE LA FORMA DE PAGO!!!");
	 return false;  
    }
	/////////////////////////////////////////////////////////////////////////////////////SENTENCIA DE DATOS/////////////////
	if($_POST['fnombre'] == "" ){
		echo alert_JS ("¡¡¡COMPLETE EL NOMBRE!!!");
		return false;
	
	}if($_POST['fapellido'] == "" ){
		echo alert_JS ("¡¡¡COMPLETE EL APELLIDO!!!");
		return false;
	 
	}if($_POST['ftelefono'] == "" ){
		echo alert_JS ("¡¡¡COMPLETE EL TELEFONO!!!");
		return false;
	
	}if($_POST['fmail'] == "" ){
		echo alert_JS ("¡¡¡COMPLETE EL CORREO ELETRONICO!!!");
		return false;
	}
	
	if($_POST['fdireccion'] == "" ){
		echo alert_JS ("¡¡¡COMPLETE LA DIRECCION!!!");
		return false;
	
	}if($_POST['estados'] == "" and $_POST['tmun'] == "" ){
		echo alert_JS ("¡¡¡SELECCIONE EL ESTADO Y MUNICIPIO!!!");
		return false;
	
	}if($_POST['estados'] == '1' and $_POST['tmun'] == '1' ){
		echo alert_JS ("¡¡¡SELECCIONE EL ESTADO Y MUNICIPIO!!!");
		return false;
	
	}if($_POST['tmun'] == ""){
		echo alert_JS ("¡¡¡SELECCIONE EL MUNICIPIO!!!");
		return false;
	
	}if(isset($_POST['fnumcto'])){
		$usu=mysqli_real_escape_string($con,$_POST['fnumcto']);
  		$dt_user=mysqli_fetch_array(mysqli_query($con ,"SELECT   count(*) as numRows, ncto FROM valeryus08 WHERE ncto='$usu' "));
  echo mysqli_error($con);
  
  		if($dt_user['numRows']==0){
		  		echo alert_JS("¡¡¡¡LA HABITACION SELECCIONADA NO EXISTE!!!!");
				return false;
	 }
	 $fec = $_POST['ffecllegada'];
		include('DF20000.php');
		$fecha_inicial = $f_m;
		$fec = $_POST['ffecsalida'];
		include('DF20000.php');
		$fecha_final = $f_m;
		$usu=mysqli_real_escape_string($con,$_POST['fnumcto']);
  		
		$dt_user=mysqli_fetch_array(mysqli_query($con ,"SELECT  count(*) as numRows, fnumcto FROM valeryus19 WHERE fnumcto='$usu' AND ffecllegada <= '$fecha_inicial' AND ffecsalida > '$fecha_inicial' "));
        $xox=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM valeryus19 WHERE fnumcto='$usu' AND ffecllegada <= '$fecha_inicial' AND ffecsalida > '$fecha_inicial' "));//ENTRADA ENTRE DOS FEHCAS
		echo mysqli_error($con);
  
  		if($dt_user['numRows']!=0){
		  		echo alert_JS("¡¡¡¡LA HABITACION ESTA OCUPADA POR: ".$xox['fapellido']." ".$xox['fnombre']." !!!!");
				return false;
				}
				
		$dt_uper=mysqli_fetch_array(mysqli_query($con ,"SELECT  count(*) as numRows, fnumcto FROM valeryus19 WHERE fnumcto='$usu' AND ffecllegada < '$fecha_final' AND ffecsalida >= '$fecha_final' "));
        $yoy=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM valeryus19 WHERE fnumcto='$usu' AND ffecllegada < '$fecha_final' AND ffecsalida >= '$fecha_final' "));//SALIDA ENTRE DOS FECHAS
		echo mysqli_error($con);
  
  		if($dt_uper['numRows']!=0){
		  		echo alert_JS("¡¡¡¡LA HABITACION ESTA OCUPADA POR: ".$yoy['fapellido']." ".$yoy['fnombre']." !!!!");
				return false;
				}
				
		 $dt_uwer=mysqli_fetch_array(mysqli_query($con ,"SELECT  count(*) as numRows, fnumcto FROM valeryus19 WHERE fnumcto='$usu' AND ffecllegada > '$fecha_inicial' AND ffecsalida < '$fecha_final' "));
		 $dod=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM valeryus19 WHERE fnumcto='$usu' AND ffecllegada > '$fecha_inicial' AND ffecsalida < '$fecha_final' "));//FECHA ENTRE DOS FECHAS
         echo mysqli_error($con);
  
  		if($dt_uwer['numRows']!=0){
		  		echo alert_JS("¡¡¡¡LA HABITACION ESTA OCUPADA POR: ".$dod['fapellido']." ".$dod['fnombre']." !!!!");
				return false;
				}else{			
	
	include('DF20000.php');
	include('reservaciones_CL.php');
	$varible_clase = new clase();
	$varible_clase->n_reg=strtoupper($_POST["n_reg"]);
	$varible_clase->fcodtarifa=strtoupper($_POST["fcodtarifa"]);
	$varible_clase->fnumres=strtoupper($_POST["fnumres"]);
	$varible_clase->fnumcto=strtoupper($_POST["fnumcto"]);
	$varible_clase->cuarto_seguro=strtoupper($_POST["fnumcto"]);
	$varible_clase->fnumctos=strtoupper($_POST["fnumctos"]);
	$varible_clase->fnumadu=strtoupper($_POST["fnumadu"]);
	$varible_clase->fnummenor=strtoupper($_POST["fnummenor"]);
	$varible_clase->status=strtoupper("RESERVA INDIVIDUAL");
	$varible_clase->estact=strtoupper($_POST["select2"]);
	$varible_clase->ftipocto=strtoupper($_POST["ftipocto"]);

	$fec = $_POST['ffecllegada'];
	include('DF20000.php');
	$varible_clase->ffecllegada = $f_m;
	
	$fec = $_POST['ffecsalida'];
	include('DF20000.php');
	$varible_clase->ffecsalida = $f_m;
	
	$fec = $_POST['ffecalt'];
	include('DF20000.php');
	$varible_clase->ffecalt = $f_m;
	
	$fecha_alta = chfecha($_POST['ffecalt'],'d/m/Y','Y-m-d');
	list($dia,$mes,$ano) = explode ("-",$fecha_alta);
	$varible_clase->mes=$mes;
	$varible_clase->ano=$dia;
	
	$varible_clase->fhorallega=strtoupper($_POST["fhorallega"]);
	$varible_clase->ftotal=strtoupper($_POST["ftotal"]);
	$varible_clase->fformpago=strtoupper($_POST["fformpago"]);
	$varible_clase->fnumtar=strtoupper($_POST["fnumtar"]);
	$varible_clase->fsaldo=strtoupper($_POST["fsaldo"]);
	$varible_clase->flimite=strtoupper($_POST["flimite"]);
	$varible_clase->fcodseg=strtoupper($_POST["fcodseg"]);
	$varible_clase->fdeposito=strtoupper($_POST["fdeposito"]);
 	//direccion
	$varible_clase->fnombre=strtoupper($_POST["fnombre"]);
	$varible_clase->fapellido=strtoupper($_POST["fapellido"]);
	$varible_clase->flengua=strtoupper($_POST["flengua"]);
	$varible_clase->ftelefono=strtoupper($_POST["ftelefono"]);
	$varible_clase->fmail=($_POST["fmail"]);
	$varible_clase->fdireccion=strtoupper($_POST["fdireccion"]);
	$varible_clase->fgntd=strtoupper($_POST["tcol"]);
	$varible_clase->fcp=strtoupper($_POST["tcp"]);
	$varible_clase->fpais=strtoupper($_POST["pais"]);
	$varible_clase->festado=strtoupper($_POST["estados"]);
	$varible_clase->fciudad=strtoupper($_POST["tmun"]);
	$varible_clase->fvehiculo=strtoupper($_POST["fvehiculo"]);
	$varible_clase->fplacas=strtoupper($_POST["fplacas"]);
	$varible_clase->folio=strtoupper("RENTAS");
	$varible_clase->fcodmeca=strtoupper("DIRECTOS");
	$varible_clase->codseg=strtoupper("INTERNET");
	$varible_clase->ftiphuesped=strtoupper("INTERNET WEB");
	$varible_clase->smerf=strtoupper("SIHOTEL");
	
	
	//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>!!! EL REGISTRO YA EXISTE... ACTUALIZANDO !!!</h2>';
		echo '<meta content="1; url=res_registro_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){
		$ultimo_id = mysqli_insert_id($con);
		
		$op = fopen("online/".'O'.$ultimo_id.".py", "w");
		fwrite ($op, '#!/usr/bin/env python'."\r\n");
		fwrite ($op, 'import smtplib'."\r\n");
		fwrite ($op, 'import re, urllib2'."\r\n");
		fwrite ($op, "ger_mailerver = smtplib.SMTP('smtp.gmail.com',587)"."\r\n");
		fwrite ($op, 'ger_mailerver.ehlo()'."\r\n");
		fwrite ($op, 'ger_mailerver.starttls()'."\r\n");
		fwrite ($op, 'ger_mailerver.ehlo()'."\r\n");
		fwrite ($op, 'ger_mailerver.login("sihotel.sc@gmail.com","hoteles12")'."\r\n");
		fwrite ($op, 'from email.MIMEText import MIMEText'."\r\n");
		fwrite ($op, 'mensaje = MIMEText("Sr./Sra. '.$_POST["fapellido"].' Quiero expresarle mi deseo de que su estancia en nuestro Hotel sea totalmente placentera el codigo de su reservacion es: '.$ultimo_id.'. En un lapso de 24 hrs nosotros nos comunicaremos con Ud. Condiciones : 1)")'."\r\n");
		fwrite ($op, 'mensaje["From"]="sihotel.sc@gmail.com"'."\r\n");
		fwrite ($op, 'mensaje["To"]="'.$_POST["fmail"].'"'."\r\n");
		fwrite ($op, 'mensaje["Subject"]="Carta de Confirmacion"'."\r\n");
		fwrite ($op, 'ger_mailerver.sendmail("sihotel.sc@gmail.com", "'.$_POST["fmail"].'", mensaje.as_string())'."\r\n");
		fclose($op);
		
		exec("sh /var/www/html/JACARANDAS/python/run.sh");
		exec("python /var/www/html/JACARANDAS/online/O".$ultimo_id.".py");
		
		echo '<h2>!!! SU RESERVACION SE HA PODIDO AGREGAR EL REGISTRO... ACTUALIZANDO !!!</h2>';
		
		echo '<meta content="1; url=http://www.jacarandas.com.mx/espanol/tarifas/Pruebareservas.htm" HTTP-EQUIV="REFRESH">'; 
	    
	}else{
		echo '<h2>!!! NO SE HA PODIDO AGREGAR EL REGISTRO... ACTUALIZANDO !!!</h2>';
		echo $res;
		echo '<meta content="5; url=res_registro_PR.php" HTTP-EQUIV="REFRESH">';
	}
	}    	
    }
?>
</body>
</html>